# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- default
  - default

- Defined in src/ui/title-ui-handler.ts:10

#####
Index

### Constructors

constructor

### Properties

active
blockInput
config
cursor
dailyRunScoreboard
mode
optionSelectBg
optionSelectContainer
optionSelectIcons
optionSelectText
playerCountLabel
scene
scrollCursor
splashMessage
splashMessageText
titleContainer
titleStatsTimer

### Methods

clear
eraseCursor
getCursor
getOptionsWithScroll
getTextColor
getUi
getWindowHeight
getWindowWidth
processInput
setCursor
setup
setupOptions
show
unblockInput
updateTitleStats

## Constructors

### constructor

- new default(scene, mode?): default

- #### Parameters

  - scene: default
  - mode: Mode = Mode.TITLE

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/title-ui-handler.ts:19

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` blockInput

blockInput: boolean

Inherited from default.blockInput

- Defined in src/ui/abstact-option-select-ui-handler.ts:41

### `Protected` config

config: OptionSelectConfig

Inherited from default.config

- Defined in src/ui/abstact-option-select-ui-handler.ts:39

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Private` dailyRunScoreboard

dailyRunScoreboard: DailyRunScoreboard

- Defined in src/ui/title-ui-handler.ts:12

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` optionSelectBg

optionSelectBg: NineSlice

Inherited from default.optionSelectBg

- Defined in src/ui/abstact-option-select-ui-handler.ts:35

### `Protected` optionSelectContainer

optionSelectContainer: Container

Inherited from default.optionSelectContainer

- Defined in src/ui/abstact-option-select-ui-handler.ts:34

### `Protected` optionSelectIcons

optionSelectIcons: Sprite[]

Inherited from default.optionSelectIcons

- Defined in src/ui/abstact-option-select-ui-handler.ts:37

### `Protected` optionSelectText

optionSelectText: Text

Inherited from default.optionSelectText

- Defined in src/ui/abstact-option-select-ui-handler.ts:36

### `Private` playerCountLabel

playerCountLabel: Text

- Defined in src/ui/title-ui-handler.ts:13

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### `Protected` scrollCursor

scrollCursor: number = 0

Inherited from default.scrollCursor

- Defined in src/ui/abstact-option-select-ui-handler.ts:43

### `Private` splashMessage

splashMessage: string

- Defined in src/ui/title-ui-handler.ts:14

### `Private` splashMessageText

splashMessageText: Text

- Defined in src/ui/title-ui-handler.ts:15

### `Private` titleContainer

titleContainer: Container

- Defined in src/ui/title-ui-handler.ts:11

### `Private` titleStatsTimer

titleStatsTimer: Timeout

- Defined in src/ui/title-ui-handler.ts:17

## Methods

### clear

- clear(): void

- #### Returns void

  Overrides default.clear

  - Defined in src/ui/title-ui-handler.ts:101

### eraseCursor

- eraseCursor(): void

- #### Returns void

  Inherited from default.eraseCursor

  - Defined in src/ui/abstact-option-select-ui-handler.ts:306

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getOptionsWithScroll

- getOptionsWithScroll(): OptionSelectItem []

- #### Returns OptionSelectItem []

  Inherited from default.getOptionsWithScroll

  - Defined in src/ui/abstact-option-select-ui-handler.ts:220

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### getWindowHeight

- getWindowHeight(): number

- #### Returns number

  Inherited from default.getWindowHeight

  - Defined in src/ui/abstact-option-select-ui-handler.ts:53

### getWindowWidth

- getWindowWidth(): number

- #### Returns number

  Inherited from default.getWindowWidth

  - Defined in src/ui/settings/option-select-ui-handler.ts:10

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Inherited from default.processInput

  - Defined in src/ui/abstact-option-select-ui-handler.ts:150

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Inherited from default.setCursor

  - Defined in src/ui/abstact-option-select-ui-handler.ts:255

### setup

- setup(): void

- #### Returns void

  Overrides default.setup

  - Defined in src/ui/title-ui-handler.ts:23

### `Protected` setupOptions

- setupOptions(): void

- #### Returns void

  Inherited from default.setupOptions

  - Defined in src/ui/abstact-option-select-ui-handler.ts:73

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/title-ui-handler.ts:75

### unblockInput

- unblockInput(): void

- #### Returns void

  Inherited from default.unblockInput

  - Defined in src/ui/abstact-option-select-ui-handler.ts:211

### updateTitleStats

- updateTitleStats(): void

- #### Returns void

  - Defined in src/ui/title-ui-handler.ts:61